LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
WindowContentFactoryManager Service Reference

A legacy (single-instance) service-variant of theWindowContentFactoryManager singleton. More...

`import"WindowContentFactoryManager.idl";`

Inheritance diagram for WindowContentFactoryManager:

## Additional Inherited Members
Public Member Functions inherited from XSingleComponentFactory
com::sun::star::uno::XInterface | createInstanceWithContext ([in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises ( com::sun::star::uno::Exception )
| Creates an instance of a component and initializes the new instance with the given arguments and context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A legacy (single-instance) service-variant of theWindowContentFactoryManager singleton.

Deprecated:
  Use theWindowContentFactoryManager singleton instead.

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/ui/WindowContentFactoryManager.idl